## カスタムシェル接続

選択されたホストシステム上で指定されたコマンドを実行することで、 カスタムコマンドを使ったシェルを開く。このシェルはローカルでもリモートでも構わない。

この機能は、`cmd`, `bash`などの標準的なタイプのシェルを想定していることに注意。ターミナルで他のタイプのシェルやコマンドを開きたい場合は、代わりにカスタムターミナルのコマンドタイプを使うことができる。標準的なシェルを使えば、ファイルブラウザでこの接続を開くこともできる。

### 対話型プロンプト

パスワード・プロンプトのような予期しない入力プロンプトが表示された場合、シェルのプロセスがタイムアウトしたり、ハングアップしたりすることがある。
入力プロンプトがあると、シェルプロセスがタイムアウトしたりハングアップしたりすることがある。したがって、対話型入力プロンプトがないことを常に確認する必要がある。

例えば、`ssh user@host`のようなコマンドは、パスワードが要求されない限り、問題なく動作する。

### カスタムローカルシェル

多くの場合、いくつかのスクリプトやコマンドを適切に動作させるために、通常はデフォルトで無効になっている特定のオプションを指定してシェルを起動すると便利である。例えば

-   [での遅延展開]()
    cmd](https://ss64.com/nt/delayedexpansion.html)
-   [Powershellの実行
    ポリシー](https://learn.microsoft.com/en-us/powershell/module/microsoft.powershell.core/about/about_execution_policies?view=powershell-7.3)
-   [Bash POSIX
    モード](https://www.gnu.org/software/bash/manual/html_node/Bash-POSIX-Mode.html)
- その他、お好みのシェルの起動オプションが可能である。

これは、例えば以下のコマンドでカスタム・シェル・コマンドを作成することで実現できる：

-   `cmd /v` を実行する。
-   `powershell -ExecutionMode Bypass` とする。
-   `bash --posix` とする。