## Пользовательские соединения оболочки

Открывает оболочку с помощью пользовательской команды, выполняя заданную команду на выбранной хост-системе. Эта оболочка может быть как локальной, так и удаленной.

Обрати внимание, что эта функциональность ожидает, что оболочка будет стандартного типа, такого как `cmd`, `bash` и т.д. Если ты хочешь открывать в терминале любые другие типы оболочек и команд, то вместо этого можешь использовать пользовательский тип команд терминала. Использование стандартных оболочек позволяет тебе также открыть это соединение в браузере файлов.

### Интерактивные подсказки

Процесс работы оболочки может прерваться или зависнуть в случае неожиданного запроса на ввод
ввода, например, запроса пароля. Поэтому всегда следи за тем, чтобы не было интерактивных подсказок.

Например, такая команда, как `ssh user@host`, будет отлично работать здесь, если не требуется ввод пароля.

### Пользовательские локальные оболочки

Во многих случаях бывает полезно запустить оболочку с определенными опциями, которые обычно отключены по умолчанию, чтобы заставить некоторые скрипты и команды работать правильно. Например:

-   [Delayed Expansion in
    cmd](https://ss64.com/nt/delayedexpansion.html)
-   [Выполнение Powershell
    политики](https://learn.microsoft.com/en-us/powershell/module/microsoft.powershell.core/about/about_execution_policies?view=powershell-7.3)
-   [Bash POSIX
    Режим](https://www.gnu.org/software/bash/manual/html_node/Bash-POSIX-Mode.html)
- И любой другой возможный вариант запуска оболочки по твоему выбору

Этого можно добиться, создавая пользовательские команды оболочки, например, с помощью следующих команд:

-   `cmd /v`
-   `powershell -ExecutionMode Bypass`.
-   `bash --posix`.